<Manage::FieldContainer @title={{@title}} @isDisabled={{@isDisabled}} @isSaveDisabled={{not this._value}}
  @editablePanel={{@editablePanel}} @value={{@value}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{@onCancel}}
  class="manage-social-media" ...attributes>
  <:view>
    {{#if this.hasPairs}}
      {{#each this.pairs as | pair | }}
        {{#if pair.value}}
          <div class="name">
            {{t (concat "social-media." pair.key)}}
          </div>
          <div class="value">
            {{pair.value}}
          </div>
        {{/if}}
      {{/each}}
    {{else}}
      <div class='alert alert-secondary' role='alert'>
        {{t "manage-section.no-social-media-links"}}
      </div>
    {{/if}}
  </:view>

  <:edit>
    {{#each this.pairs as | pair | }}
      <Label @value={{t (concat "social-media." pair.key)}} as |id|>
        <Input::Text class="form-control" id={{id}} @value={{pair.value}} @onChange={{fn this.change pair.key}} />
      </Label>
    {{/each}}
  </:edit>
</Manage::FieldContainer>